import { ɵɵdefineInjectable, Injectable, Component, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

class AgmGridService {
    constructor() { }
}
AgmGridService.ɵprov = ɵɵdefineInjectable({ factory: function AgmGridService_Factory() { return new AgmGridService(); }, token: AgmGridService, providedIn: "root" });
AgmGridService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AgmGridService.ctorParameters = () => [];

class AgmGridHeaderBO {
    constructor() {
        this.header = "";
        this.field = "";
        this.filters = false;
    }
}
class AgmGridHeaderBOList extends Array {
}

class AgmGridComponent {
    constructor() {
        this.columnDefs = new AgmGridHeaderBOList();
    }
    ngOnInit() {
    }
}
AgmGridComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-agm-grid',
                template: "<table>\r\n    <thead>\r\n        <tr *ngFor=\"let head of columnDefs\">\r\n            <th>\r\n                {{head.field}}\r\n            </th>\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <div>\r\n            <tr *ngFor=\"let row of rowData\">\r\n                <td *ngFor=\"let head of columnDefs\">\r\n                    {{row[head.field]}}\r\n                </td>\r\n            </tr>\r\n        </div>\r\n    </tbody>\r\n</table>"
            },] }
];
AgmGridComponent.ctorParameters = () => [];
AgmGridComponent.propDecorators = {
    rowData: [{ type: Input }],
    columnDefs: [{ type: Input }]
};

class AgmGridModule {
}
AgmGridModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    AgmGridComponent
                ],
                imports: [
                    CommonModule,
                    FormsModule
                ],
                exports: [
                    AgmGridComponent
                ]
            },] }
];

/*
 * Public API Surface of agm-grid
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AgmGridComponent, AgmGridHeaderBO, AgmGridHeaderBOList, AgmGridModule, AgmGridService };
//# sourceMappingURL=agm-grid.js.map
